#mainNav {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1030;
    border-bottom: 1px solid #dee2e6;
    background-color: #ffffff;
    font-family: "Open Sans", -apple-system, BlinkMacSystemFont, "Segoe UI",
        Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji",
        "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
}
#mainNav .navbar-brand {
    font-weight: 800;
}
#mainNav .navbar-toggler {
    font-size: 0.75rem;
    font-weight: 800;
    padding: 0.75rem;
    text-transform: uppercase;
}
#mainNav .navbar-nav > li.nav-item > a.nav-link {
    font-size: 0.75rem;
    font-weight: 800;
    letter-spacing: 0.0625em;
    text-transform: uppercase;
}

.hero {
    overflow: hidden; /* Ensures the content is not revealed until the animation */
    /* border-right: 0.15em solid orange; The typwriter cursor */
    white-space: nowrap; /* Keeps the content on a single line */
    margin: 0 auto; /* Gives that scrolling effect as the typing happens */
    letter-spacing: 0.15em; /* Adjust as needed */
    /* animation: typing 3s steps(30, end), blink-caret 0.75s step-end infinite; */
}

/* The typing effect */
/* @keyframes typing {
    from {
        width: 0;
    }
    to {
        width: 100%;
    }
} */

/* The typewriter cursor effect */
/* @keyframes blink-caret {
    from,
    to {
        border-color: transparent;
    }
    50% {
        border-color: orange;
    }
} */

@media (min-width: 992px) {
    #mainNav {
        border-bottom: 1px solid transparent;
        background: transparent;
    }
    #mainNav .navbar-brand {
        color: #fff;
    }
    #mainNav .navbar-brand:focus,
    #mainNav .navbar-brand:hover {
        color: rgba(255, 255, 255, 0.8);
    }
    #mainNav .navbar-nav > li.nav-item > a.nav-link {
        color: #fff;
    }
    #mainNav .navbar-nav > li.nav-item > a.nav-link:focus,
    #mainNav .navbar-nav > li.nav-item > a.nav-link:hover {
        color: rgba(255, 255, 255, 0.8);
    }
}
@media (min-width: 992px) {
    #mainNav {
        transition: background-color 0.2s;
        /* Force Hardware Acceleration in WebKit */
        transform: translate3d(0, 0, 0);
        -webkit-backface-visibility: hidden;
        backface-visibility: hidden;
    }
    #mainNav.is-fixed {
        /* when the user scrolls down, we hide the header right above the viewport */
        position: fixed;
        top: -83px;
        transition: transform 0.2s;
        border-bottom: 1px solid white;
        background-color: rgba(255, 255, 255, 0.9);
    }
    #mainNav.is-fixed .navbar-brand {
        color: #212529;
    }
    #mainNav.is-fixed .navbar-brand:focus,
    #mainNav.is-fixed .navbar-brand:hover {
        color: #0085a1;
    }
    #mainNav.is-fixed .navbar-nav > li.nav-item > a {
        color: #212529;
    }
    #mainNav.is-fixed .navbar-nav > li.nav-item > a:focus,
    #mainNav.is-fixed .navbar-nav > li.nav-item > a:hover {
        color: #0085a1;
    }
    #mainNav.is-visible {
        /* if the user changes the scrolling direction, we show the header */
        transform: translate3d(0, 100%, 0);
    }
}
@media (max-width: 992px) {
    #mainNav {
        background-color: #0086a100;
        color: white;
        border-bottom: 0;
        background-color: #dc3545;
        backdrop-filter: blur(5px);
    }
    #mainNav .navbar-brand {
        color: #fff;
    }
    #mainNav .navbar-toggler {
        border: none;
        color: #fff;
    }
    #mainNav .navbar-nav > li.nav-item > a.nav-link {
        color: #fff;
    }
}

footer {
    padding-top: 3rem;
    padding-bottom: 3rem;
}

header.masthead {
    position: relative;
    margin-bottom: 3rem;
    padding-top: calc(8rem + 57px);
    padding-bottom: 8rem;
    background: no-repeat center center;
    background-color: #6c757d;
    background-size: cover;
    background-attachment: scroll;
}
header.masthead:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #212529;
    opacity: 0.5;
}
header.masthead .page-heading,
header.masthead .post-heading,
header.masthead .site-heading {
    color: #fff;
}
header.masthead .page-heading,
header.masthead .site-heading {
    text-align: center;
}
header.masthead .page-heading h1,
header.masthead .page-heading .h1,
header.masthead .site-heading h1,
header.masthead .site-heading .h1 {
    font-size: 3rem;
}
header.masthead .page-heading .subheading,
header.masthead .site-heading .subheading {
    font-size: 1.5rem;
    font-weight: 300;
    line-height: 1.1;
    display: block;
    margin-top: 0.625rem;
    font-family: "Open Sans", -apple-system, BlinkMacSystemFont, "Segoe UI",
        Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji",
        "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
}
header.masthead .post-heading h1,
header.masthead .post-heading .h1 {
    font-size: 2.25rem;
}
header.masthead .post-heading .meta,
header.masthead .post-heading .subheading {
    line-height: 1.1;
    display: block;
}
header.masthead .post-heading .subheading {
    font-size: 1.5rem;
    font-weight: 600;
    margin: 0.75rem 0 2rem;
    font-family: "Open Sans", -apple-system, BlinkMacSystemFont, "Segoe UI",
        Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji",
        "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
}
header.masthead .post-heading .meta {
    font-size: 1.25rem;
    font-weight: 300;
    font-style: italic;
    font-family: "Lora", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
        "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji",
        "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
}
header.masthead .post-heading .meta a {
    color: #fff;
}
@media (min-width: 992px) {
    header.masthead {
        padding-top: 12.5rem;
        padding-bottom: 12.5rem;
    }
    header.masthead .page-heading h1,
    header.masthead .page-heading .h1,
    header.masthead .site-heading h1,
    header.masthead .site-heading .h1 {
        font-size: 5rem;
    }
    header.masthead .post-heading h1,
    header.masthead .post-heading .h1 {
        font-size: 3.5rem;
    }
    header.masthead .post-heading .subheading {
        font-size: 1.875rem;
    }
}
